Index: LMDZ6/branches/Amaury_dev/libf/phy_common/geometry_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/geometry_mod.F90	(revision 5111)
+++ 	(revision )
@@ -1,79 +1,0 @@
-MODULE geometry_mod
-
-! Store informations concerning the local (to MPI/OpenMP core) geometry
-
-  REAL,SAVE,ALLOCATABLE :: longitude(:) ! longitude of the cell (rad)
-!$OMP THREADPRIVATE(longitude)
-
-  REAL,SAVE,ALLOCATABLE :: latitude(:)! latitude of the cell (rad)
-!$OMP THREADPRIVATE(latitude)
-
-  REAL,SAVE,ALLOCATABLE :: longitude_deg(:) ! longitude of the cell (degree)
-!$OMP THREADPRIVATE(longitude_deg)
-
-  REAL,SAVE,ALLOCATABLE :: latitude_deg(:)! latitude of the cell (degree)
-!$OMP THREADPRIVATE(latitude_deg)
-
-  REAL,SAVE,ALLOCATABLE :: boundslon(:,:)  ! boundaries of the cell (rad)
-!$OMP THREADPRIVATE(boundslon)
-
-  REAL,SAVE,ALLOCATABLE :: boundslat(:,:) ! boundaries of the cell (rad)
-!$OMP THREADPRIVATE(boundslat)
-
-  REAL,SAVE,ALLOCATABLE :: dx(:)      ! resolution of longitude cell (valid only for 2D grid)
-!$OMP THREADPRIVATE(dx)
-  
-  REAL,SAVE,ALLOCATABLE :: dy(:)      ! resolution of latitude cell (valid only for 2D grid)
-!$OMP THREADPRIVATE(dy)
-
-  REAL,SAVE,ALLOCATABLE :: cell_area(:)      ! area of the cell
-!$OMP THREADPRIVATE(cell_area)
-
-  INTEGER,SAVE,ALLOCATABLE :: ind_cell_glo(:)      ! global indice of a local cell
-!$OMP THREADPRIVATE(ind_cell_glo)
-
-CONTAINS
-
-  SUBROUTINE init_geometry(klon,longitude_,latitude_, &
-                           boundslon_,boundslat_, &
-                           cell_area_,ind_cell_glo_,dx_,dy_)
-  USE lmdz_grid_phy, ONLY: nvertex
-  USE nrtype, ONLY: PI
-  IMPLICIT NONE
-    INTEGER,INTENT(IN) :: klon ! number of columns for this MPI/OpenMP domain
-    REAL,INTENT(IN) :: longitude_(klon)
-    REAL,INTENT(IN) :: latitude_(klon)
-    REAL,INTENT(IN) :: boundslon_(klon,nvertex)
-    REAL,INTENT(IN) :: boundslat_(klon,nvertex)
-    REAL,INTENT(IN) :: cell_area_(klon)
-    INTEGER,OPTIONAL,INTENT(IN) :: ind_cell_glo_(klon)
-    REAL,OPTIONAL,INTENT(IN) :: dx_(klon)
-    REAL,OPTIONAL,INTENT(IN) :: dy_(klon)
-    
-    ALLOCATE(longitude(klon))
-    ALLOCATE(latitude(klon))
-    ALLOCATE(longitude_deg(klon))
-    ALLOCATE(latitude_deg(klon))
-    ALLOCATE(boundslon(klon,nvertex))
-    ALLOCATE(boundslat(klon,nvertex))
-    ALLOCATE(cell_area(klon))
-    IF (PRESENT(ind_cell_glo_)) ALLOCATE(ind_cell_glo(klon))
-    IF (PRESENT(dx_)) ALLOCATE(dx(klon))
-    IF (PRESENT(dy_))ALLOCATE(dy(klon))
-    
-    longitude(:) = longitude_(:)
-    latitude(:) = latitude_(:)
-    longitude_deg(:) = longitude(:)*180./PI
-    latitude_deg(:) = latitude(:)*180./PI
-    boundslon(:,:) = boundslon_(:,:)
-    boundslat(:,:) = boundslat_(:,:)
-    cell_area(:) = cell_area_(:)
-    IF (PRESENT(ind_cell_glo_)) ind_cell_glo(:) = ind_cell_glo_(:)
-    IF (PRESENT(dx_)) dx(:) = dx_(:)
-    IF (PRESENT(dy_)) dy(:) = dy_(:)
-    
-  END SUBROUTINE init_geometry
-
-
-END MODULE geometry_mod
-
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/init_print_control_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/init_print_control_mod.F90	(revision 5111)
+++ 	(revision )
@@ -1,67 +1,0 @@
-MODULE init_print_control_mod
-
-! init_print_control to initialize print_control_mod variables
-! not included there because of circular dependecy issues
-
-CONTAINS
-
-  SUBROUTINE init_print_control
-  USE print_control_mod, ONLY: set_print_control
-  USE ioipsl_getin_p_mod, ONLY: getin_p
-  USE lmdz_phys_para, ONLY: is_omp_root, is_master
-  IMPLICIT NONE
-
-    INTEGER :: lunout ! default output file identifier (6==screen)
-    INTEGER :: prt_level ! Output level
-    LOGICAL :: debug ! flag to specify if in "debug mode"
-    LOGICAL :: opened
-    INTEGER :: number
-    
-    !Config  Key  = prt_level
-    !Config  Desc = niveau d'impressions de débogage
-    !Config  Def  = 0
-    !Config  Help = Niveau d'impression pour le débogage
-    !Config         (0 = minimum d'impression)
-    prt_level = 0
-    CALL getin_p('prt_level',prt_level)
-
-    !Config  Key  = lunout
-    !Config  Desc = unite de fichier pour les impressions
-    !Config  Def  = 6
-    !Config  Help = unite de fichier pour les impressions 
-    !Config         (defaut sortie standard = 6)
-    lunout=6
-    CALL getin_p('lunout', lunout)
-
-    IF (is_omp_root) THEN
-      IF (lunout /= 5 .and. lunout /= 6) THEN
-         INQUIRE(FILE='lmdz.out_0000',OPENED=opened,NUMBER=number)
-         IF (opened) THEN
-           lunout=number
-         ELSE
-           OPEN(UNIT=lunout,FILE='lmdz.out_0000',ACTION='write',  &
-                STATUS='unknown',FORM='formatted')
-         ENDIF
-      ENDIF
-    ENDIF
-
-    !Config  Key  = debug
-    !Config  Desc = mode debogage
-    !Config  Def  = false
-    !Config  Help = positionne le mode debogage
-
-    debug = .FALSE.
-    CALL getin_p('debug',debug)
-    
-    IF (is_master) THEN
-      WRITE(lunout,*)"init_print_control: prt_level=",prt_level
-      WRITE(lunout,*)"init_print_control: lunout=",lunout
-      WRITE(lunout,*)"init_print_control: debug=",debug      
-    ENDIF
-    
-    CALL set_print_control(lunout,prt_level,debug)
-
-  END SUBROUTINE init_print_control  
-
-END MODULE init_print_control_mod
-
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/ioipsl_getin_p_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/ioipsl_getin_p_mod.F90	(revision 5111)
+++ 	(revision )
@@ -1,165 +1,0 @@
-
-! $Id$
-
-MODULE ioipsl_getin_p_mod
-! To use getin in a parallel context
-!---------------------------------------------------------------------
-USE ioipsl, ONLY: getin
-USE lmdz_phys_mpi_data, ONLY:  is_mpi_root
-USE lmdz_phys_omp_data, ONLY:  is_omp_root
-USE lmdz_phys_transfert_para, ONLY: bcast
-!-
-IMPLICIT NONE
-!-
-PRIVATE
-PUBLIC :: getin_p
-!-
-INTERFACE getin_p
-
-  MODULE PROCEDURE getinrs_p, getinr1d_p, getinr2d_p, &
-                   getinis_p, getini1d_p, getini2d_p, &
-                   getincs_p, 		              &
-                   getinls_p, getinl1d_p, getinl2d_p
-END INTERFACE
-!-
-CONTAINS
-
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!!   Definition des getin -> bcast      !!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-!! -- Les chaines de caracteres -- !!
-  
-  SUBROUTINE getincs_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    CHARACTER(LEN=*),INTENT(INOUT) :: VarOut    
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getincs_p
-
-!! -- Les entiers -- !!
-  
-  SUBROUTINE getinis_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    INTEGER,INTENT(INOUT) :: VarOut    
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinis_p
-
-  SUBROUTINE getini1d_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    INTEGER,INTENT(INOUT) :: VarOut(:)
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getini1d_p
-
-  SUBROUTINE getini2d_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    INTEGER,INTENT(INOUT) :: VarOut(:,:)
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getini2d_p
-
-!! -- Les flottants -- !!
-  
-  SUBROUTINE getinrs_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    REAL,INTENT(INOUT) :: VarOut
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinrs_p
-
-  SUBROUTINE getinr1d_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    REAL,INTENT(INOUT) :: VarOut(:)
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinr1d_p
-
-  SUBROUTINE getinr2d_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    REAL,INTENT(INOUT) :: VarOut(:,:)
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinr2d_p
-
-!! -- Les Booleens -- !!
-  
-  SUBROUTINE getinls_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    LOGICAL,INTENT(INOUT) :: VarOut
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinls_p
-
-  SUBROUTINE getinl1d_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    LOGICAL,INTENT(INOUT) :: VarOut(:)
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinl1d_p
-
-  SUBROUTINE getinl2d_p(VarIn,VarOut)
-    IMPLICIT NONE    
-    CHARACTER(LEN=*),INTENT(IN) :: VarIn
-    LOGICAL,INTENT(INOUT) :: VarOut(:,:)
-
-!$OMP BARRIER
-    IF (is_mpi_root .AND. is_omp_root) THEN
-    	CALL getin(VarIn,VarOut)
-    ENDIF
-    CALL bcast(VarOut)
-  END SUBROUTINE getinl2d_p
-!-
-!-----------------------------
-!-----------------------------
-!-----------------------------
-
-END MODULE ioipsl_getin_p_mod
-
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90	(revision 5111)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_abort_physic.F90	(revision 5112)
@@ -8,5 +8,5 @@
     USE IOIPSL
     USE lmdz_phys_para
-    USE print_control_mod, ONLY: lunout
+    USE lmdz_print_control, ONLY: lunout
     IMPLICIT NONE
 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_geometry.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_geometry.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_geometry.F90	(revision 5112)
@@ -0,0 +1,77 @@
+MODULE lmdz_geometry
+  ! Store informations concerning the local (to MPI/OpenMP core) geometry
+
+  REAL, SAVE, ALLOCATABLE :: longitude(:) ! longitude of the cell (rad)
+  !$OMP THREADPRIVATE(longitude)
+
+  REAL, SAVE, ALLOCATABLE :: latitude(:)! latitude of the cell (rad)
+  !$OMP THREADPRIVATE(latitude)
+
+  REAL, SAVE, ALLOCATABLE :: longitude_deg(:) ! longitude of the cell (degree)
+  !$OMP THREADPRIVATE(longitude_deg)
+
+  REAL, SAVE, ALLOCATABLE :: latitude_deg(:)! latitude of the cell (degree)
+  !$OMP THREADPRIVATE(latitude_deg)
+
+  REAL, SAVE, ALLOCATABLE :: boundslon(:, :)  ! boundaries of the cell (rad)
+  !$OMP THREADPRIVATE(boundslon)
+
+  REAL, SAVE, ALLOCATABLE :: boundslat(:, :) ! boundaries of the cell (rad)
+  !$OMP THREADPRIVATE(boundslat)
+
+  REAL, SAVE, ALLOCATABLE :: dx(:)      ! resolution of longitude cell (valid only for 2D grid)
+  !$OMP THREADPRIVATE(dx)
+
+  REAL, SAVE, ALLOCATABLE :: dy(:)      ! resolution of latitude cell (valid only for 2D grid)
+  !$OMP THREADPRIVATE(dy)
+
+  REAL, SAVE, ALLOCATABLE :: cell_area(:)      ! area of the cell
+  !$OMP THREADPRIVATE(cell_area)
+
+  INTEGER, SAVE, ALLOCATABLE :: ind_cell_glo(:)      ! global indice of a local cell
+  !$OMP THREADPRIVATE(ind_cell_glo)
+
+CONTAINS
+
+  SUBROUTINE init_geometry(klon, longitude_, latitude_, &
+          boundslon_, boundslat_, &
+          cell_area_, ind_cell_glo_, dx_, dy_)
+    USE lmdz_grid_phy, ONLY: nvertex
+    USE nrtype, ONLY: PI
+    IMPLICIT NONE
+    INTEGER, INTENT(IN) :: klon ! number of columns for this MPI/OpenMP domain
+    REAL, INTENT(IN) :: longitude_(klon)
+    REAL, INTENT(IN) :: latitude_(klon)
+    REAL, INTENT(IN) :: boundslon_(klon, nvertex)
+    REAL, INTENT(IN) :: boundslat_(klon, nvertex)
+    REAL, INTENT(IN) :: cell_area_(klon)
+    INTEGER, OPTIONAL, INTENT(IN) :: ind_cell_glo_(klon)
+    REAL, OPTIONAL, INTENT(IN) :: dx_(klon)
+    REAL, OPTIONAL, INTENT(IN) :: dy_(klon)
+
+    ALLOCATE(longitude(klon))
+    ALLOCATE(latitude(klon))
+    ALLOCATE(longitude_deg(klon))
+    ALLOCATE(latitude_deg(klon))
+    ALLOCATE(boundslon(klon, nvertex))
+    ALLOCATE(boundslat(klon, nvertex))
+    ALLOCATE(cell_area(klon))
+    IF (PRESENT(ind_cell_glo_)) ALLOCATE(ind_cell_glo(klon))
+    IF (PRESENT(dx_)) ALLOCATE(dx(klon))
+    IF (PRESENT(dy_))ALLOCATE(dy(klon))
+
+    longitude(:) = longitude_(:)
+    latitude(:) = latitude_(:)
+    longitude_deg(:) = longitude(:) * 180. / PI
+    latitude_deg(:) = latitude(:) * 180. / PI
+    boundslon(:, :) = boundslon_(:, :)
+    boundslat(:, :) = boundslat_(:, :)
+    cell_area(:) = cell_area_(:)
+    IF (PRESENT(ind_cell_glo_)) ind_cell_glo(:) = ind_cell_glo_(:)
+    IF (PRESENT(dx_)) dx(:) = dx_(:)
+    IF (PRESENT(dy_)) dy(:) = dy_(:)
+
+  END SUBROUTINE init_geometry
+
+
+END MODULE lmdz_geometry
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_init_print_control.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_init_print_control.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_init_print_control.F90	(revision 5112)
@@ -0,0 +1,67 @@
+MODULE lmdz_init_print_control
+
+  ! init_print_control to initialize lmdz_print_control variables
+  ! not included there because of circular dependecy issues
+
+CONTAINS
+
+  SUBROUTINE init_print_control
+    USE lmdz_print_control, ONLY: set_print_control
+    USE lmdz_ioipsl_getin_p, ONLY: getin_p
+    USE lmdz_phys_para, ONLY: is_omp_root, is_master
+    IMPLICIT NONE
+
+    INTEGER :: lunout ! default output file identifier (6==screen)
+    INTEGER :: prt_level ! Output level
+    LOGICAL :: debug ! flag to specify if in "debug mode"
+    LOGICAL :: opened
+    INTEGER :: number
+
+    !Config  Key  = prt_level
+    !Config  Desc = niveau d'impressions de débogage
+    !Config  Def  = 0
+    !Config  Help = Niveau d'impression pour le débogage
+    !Config         (0 = minimum d'impression)
+    prt_level = 0
+    CALL getin_p('prt_level', prt_level)
+
+    !Config  Key  = lunout
+    !Config  Desc = unite de fichier pour les impressions
+    !Config  Def  = 6
+    !Config  Help = unite de fichier pour les impressions 
+    !Config         (defaut sortie standard = 6)
+    lunout = 6
+    CALL getin_p('lunout', lunout)
+
+    IF (is_omp_root) THEN
+      IF (lunout /= 5 .and. lunout /= 6) THEN
+        INQUIRE(FILE = 'lmdz.out_0000', OPENED = opened, NUMBER = number)
+        IF (opened) THEN
+          lunout = number
+        ELSE
+          OPEN(UNIT = lunout, FILE = 'lmdz.out_0000', ACTION = 'write', &
+                  STATUS = 'unknown', FORM = 'formatted')
+        ENDIF
+      ENDIF
+    ENDIF
+
+    !Config  Key  = debug
+    !Config  Desc = mode debogage
+    !Config  Def  = false
+    !Config  Help = positionne le mode debogage
+
+    debug = .FALSE.
+    CALL getin_p('debug', debug)
+
+    IF (is_master) THEN
+      WRITE(lunout, *)"init_print_control: prt_level=", prt_level
+      WRITE(lunout, *)"init_print_control: lunout=", lunout
+      WRITE(lunout, *)"init_print_control: debug=", debug
+    ENDIF
+
+    CALL set_print_control(lunout, prt_level, debug)
+
+  END SUBROUTINE init_print_control
+
+END MODULE lmdz_init_print_control
+
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_ioipsl_getin_p.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_ioipsl_getin_p.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_ioipsl_getin_p.F90	(revision 5112)
@@ -0,0 +1,164 @@
+! $Id$
+
+MODULE lmdz_ioipsl_getin_p
+  ! To use getin in a parallel context
+  !---------------------------------------------------------------------
+  USE ioipsl, ONLY: getin
+  USE lmdz_phys_mpi_data, ONLY: is_mpi_root
+  USE lmdz_phys_omp_data, ONLY: is_omp_root
+  USE lmdz_phys_transfert_para, ONLY: bcast
+  !-
+  IMPLICIT NONE
+  !-
+  PRIVATE
+  PUBLIC :: getin_p
+  !-
+  INTERFACE getin_p
+
+    MODULE PROCEDURE getinrs_p, getinr1d_p, getinr2d_p, &
+            getinis_p, getini1d_p, getini2d_p, &
+            getincs_p, &
+            getinls_p, getinl1d_p, getinl2d_p
+  END INTERFACE
+  !-
+CONTAINS
+
+
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!   Definition des getin -> bcast      !!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+  !! -- Les chaines de caracteres -- !!
+
+  SUBROUTINE getincs_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    CHARACTER(LEN = *), INTENT(INOUT) :: VarOut
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getincs_p
+
+  !! -- Les entiers -- !!
+
+  SUBROUTINE getinis_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    INTEGER, INTENT(INOUT) :: VarOut
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinis_p
+
+  SUBROUTINE getini1d_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    INTEGER, INTENT(INOUT) :: VarOut(:)
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getini1d_p
+
+  SUBROUTINE getini2d_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    INTEGER, INTENT(INOUT) :: VarOut(:, :)
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getini2d_p
+
+  !! -- Les flottants -- !!
+
+  SUBROUTINE getinrs_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    REAL, INTENT(INOUT) :: VarOut
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinrs_p
+
+  SUBROUTINE getinr1d_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    REAL, INTENT(INOUT) :: VarOut(:)
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinr1d_p
+
+  SUBROUTINE getinr2d_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    REAL, INTENT(INOUT) :: VarOut(:, :)
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinr2d_p
+
+  !! -- Les Booleens -- !!
+
+  SUBROUTINE getinls_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    LOGICAL, INTENT(INOUT) :: VarOut
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinls_p
+
+  SUBROUTINE getinl1d_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    LOGICAL, INTENT(INOUT) :: VarOut(:)
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinl1d_p
+
+  SUBROUTINE getinl2d_p(VarIn, VarOut)
+    IMPLICIT NONE
+    CHARACTER(LEN = *), INTENT(IN) :: VarIn
+    LOGICAL, INTENT(INOUT) :: VarOut(:, :)
+
+    !$OMP BARRIER
+    IF (is_mpi_root .AND. is_omp_root) THEN
+      CALL getin(VarIn, VarOut)
+    ENDIF
+    CALL bcast(VarOut)
+  END SUBROUTINE getinl2d_p
+  !-
+  !-----------------------------
+  !-----------------------------
+  !-----------------------------
+
+END MODULE lmdz_ioipsl_getin_p
+
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_data.F90	(revision 5111)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_mpi_data.F90	(revision 5112)
@@ -184,5 +184,5 @@
 
   SUBROUTINE print_module_data
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
   IMPLICIT NONE
 !  INCLUDE "iniprint.h" 
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90	(revision 5111)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_omp_data.F90	(revision 5112)
@@ -108,5 +108,5 @@
 
   SUBROUTINE Print_module_data
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
   IMPLICIT NONE
 !  INCLUDE "iniprint.h"
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_para.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_para.f90	(revision 5111)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_phys_para.f90	(revision 5112)
@@ -52,5 +52,5 @@
   SUBROUTINE Test_transfert
   USE lmdz_grid_phy
-  USE print_control_mod, ONLY: lunout
+  USE lmdz_print_control, ONLY: lunout
   IMPLICIT NONE
 !    INCLUDE "iniprint.h"
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_physics_distribution.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_physics_distribution.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_physics_distribution.F90	(revision 5112)
@@ -0,0 +1,81 @@
+!$Id$
+
+MODULE lmdz_physics_distribution
+
+
+CONTAINS
+
+  SUBROUTINE init_physics_distribution(grid_type, nvertex, &
+          nbp, nbp_lon, nbp_lat, nbp_lev, &
+          communicator)
+    USE lmdz_phys_para, ONLY: init_phys_lmdz_para, klon_omp
+    USE lmdz_grid_phy, ONLY: init_grid_phy_lmdz
+    USE dimphy, ONLY: Init_dimphy
+    USE infotrac_phy, ONLY: type_trac
+#ifdef REPROBUS
+  USE CHEM_REP, ONLY: Init_chem_rep_phys
+#endif
+    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
+    IMPLICIT NONE
+    INTEGER, INTENT(IN) :: grid_type
+    INTEGER, INTENT(IN) :: nvertex
+    INTEGER, INTENT(IN) :: nbp
+    INTEGER, INTENT(IN) :: nbp_lon
+    INTEGER, INTENT(IN) :: nbp_lat
+    INTEGER, INTENT(IN) :: nbp_lev
+    INTEGER, INTENT(IN) :: communicator
+
+    CALL init_grid_phy_lmdz(grid_type, nvertex, nbp_lon, nbp_lat, nbp_lev)
+    CALL init_phys_lmdz_para(nbp, nbp_lon, nbp_lat, nbp_lev, grid_type, nvertex, communicator)
+    !$OMP PARALLEL
+    CALL init_dimphy(klon_omp, nbp_lev)
+
+    IF (CPPKEY_INCA) THEN
+      CALL Init_inca_dim(klon_omp, nbp_lev)
+    END IF
+
+#ifdef REPROBUS
+! Initialization of Reprobus
+    IF (type_trac == 'repr') CALL Init_chem_rep_phys(klon_omp,nbp_lev)
+#endif
+
+    !$OMP END PARALLEL
+
+  END SUBROUTINE init_physics_distribution
+
+  !SUBROUTINE Init_Phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
+  !  USE lmdz_phys_para, ONLY: Init_phys_lmdz_para!, klon_omp
+  !  USE lmdz_grid_phy, ONLY: Init_grid_phy_lmdz!, nbp_lev
+  !  USE dimphy, ONLY: Init_dimphy
+  !  USE infotrac_phy, ONLY: type_trac
+  !#ifdef REPROBUS
+  !  USE CHEM_REP, ONLY: Init_chem_rep_phys
+  !#endif
+
+  !  IMPLICIT NONE
+
+  !    INTEGER,INTENT(in) :: iim
+  !    INTEGER,INTENT(in) :: jjp1
+  !    INTEGER,INTENT(in) :: llm
+  !    INTEGER,INTENT(in) :: nb_proc
+  !    INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
+
+
+  !    CALL Init_grid_phy_lmdz(iim,jjp1,llm)
+  !    CALL Init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
+  !!$OMP PARALLEL
+  !    CALL Init_dimphy(klon_omp,nbp_lev)
+
+  !#ifdef REPROBUS
+  !! Initialization of Reprobus
+  !    IF (type_trac == 'repr') CALL Init_chem_rep_phys(klon_omp,nbp_lev)
+  !    END IF
+  !#endif
+
+  !!$OMP END PARALLEL
+
+  !END SUBROUTINE Init_Phys_lmdz
+
+
+END MODULE lmdz_physics_distribution
+
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_print_control.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_print_control.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_print_control.f90	(revision 5112)
@@ -0,0 +1,62 @@
+! $Id: $
+MODULE lmdz_print_control
+
+  INTEGER, SAVE :: lunout ! default output file identifier (6==screen)
+  INTEGER, SAVE :: prt_level ! debug output level
+  LOGICAL, SAVE :: debug ! flag to specify if in "debug mode"
+  LOGICAL, SAVE :: alert_first_CALL = .TRUE. ! for printing alerts on first CALL to routine only
+  LOGICAL, SAVE :: call_alert ! (combination of is_master and alert_first_CALL for easier use
+  !$OMP THREADPRIVATE(lunout,prt_level,debug, alert_first_call, call_alert)
+
+  ! NB: Module variable Initializations done by set_print_control
+  !     routine from lmdz_init_print_control to avoid circular
+  !     module dependencies
+
+CONTAINS
+
+  SUBROUTINE set_print_control(lunout_, prt_level_, debug_)
+    IMPLICIT NONE
+    INTEGER, INTENT(IN) :: lunout_
+    INTEGER, INTENT(IN) :: prt_level_
+    LOGICAL, INTENT(IN) :: debug_
+
+    lunout = lunout_
+    prt_level = prt_level_
+    debug = debug_
+
+  END SUBROUTINE set_print_control
+
+  SUBROUTINE prt_alerte(message, modname, niv_alerte)
+    ! Function to print different values of alarms when first encountered
+    ! Meant for informative purposee
+    IMPLICIT NONE
+    ! Arguments:
+    ! message: message to print out
+    ! modname: module/routine name
+    ! niv_alerte: alert level (0/1/2)
+    CHARACTER(LEN = *), INTENT(IN) :: modname
+    CHARACTER(LEN = *) :: message
+    INTEGER :: niv_alerte
+    ! local variables
+    CHARACTER(LEN = 7), DIMENSION(0:2) :: alarm_color = (/ 'VERTE  ', 'ORANGE ', 'ROUGE  ' /)
+    CHARACTER(LEN = 7) :: alarm_couleur
+    INTEGER :: alarm_file = 15 ! in case we want/need to print out the special alarms in a separate file
+
+    IF (alert_first_call) then
+      IF (alarm_file /= lunout) THEN
+        OPEN(unit = alarm_file, file = "ALERTES.txt")
+      ENDIF
+    ENDIF
+
+    alarm_couleur = alarm_color(niv_alerte)
+    IF (niv_alerte < 0 .OR. niv_alerte > 3) then
+      message = 'NIVEAU ALERTE INVALIDE  ' // message
+      alarm_couleur = 'NOIRE  '
+    ENDIF
+
+    WRITE(alarm_file, *)' ALERTE ', alarm_couleur, trim(modname), trim(message)
+
+  END SUBROUTINE prt_alerte
+
+
+END MODULE lmdz_print_control
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_regular_lonlat.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_regular_lonlat.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_regular_lonlat.f90	(revision 5112)
@@ -0,0 +1,55 @@
+MODULE lmdz_regular_lonlat
+
+  ! Store information on the global physics grid
+  ! for a regular (longitude-latitude) grid
+  
+  INTEGER, PARAMETER :: north_east=1     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: north_west=2     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: south_west=3     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: south_east=4     ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: east=2           ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: west=1           ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: north=1          ! boundaries of regular lontlat
+  INTEGER, PARAMETER :: south=2          ! boundaries of regular lontlat
+
+! Global definition, shared by all threads
+! Do not set threadprivate directives
+
+  REAL,SAVE,ALLOCATABLE :: lon_reg(:)      ! value of longitude cell (rad)
+
+  REAL,SAVE,ALLOCATABLE :: lat_reg(:)      ! value of longitude cell (rad)
+
+  REAL,SAVE,ALLOCATABLE :: boundslon_reg(:,:)      ! value of boundaries cell (1=>west, 2=>east)(rad)
+
+  REAL,SAVE,ALLOCATABLE :: boundslat_reg(:,:)      ! value of longitude cell (1=>north, 2=>south)(rad)
+
+
+CONTAINS
+  
+  SUBROUTINE init_regular_lonlat(nbp_lon, nbp_lat, lon_reg_, lat_reg_, boundslon_reg_, boundslat_reg_)
+    IMPLICIT NONE
+    INTEGER,INTENT(IN) :: nbp_lon
+    INTEGER,INTENT(IN) :: nbp_lat
+    REAL,   INTENT(IN) :: lon_reg_(nbp_lon)  
+    REAL,   INTENT(IN) :: lat_reg_(nbp_lat) 
+    REAL,   INTENT(IN) :: boundslon_reg_(nbp_lon,2) 
+    REAL,   INTENT(IN) :: boundslat_reg_(nbp_lat,2)  
+
+    
+    ALLOCATE(lon_reg(nbp_lon))
+    lon_reg(:)=lon_reg_(:)
+
+    ALLOCATE(lat_reg(nbp_lat)) 
+    lat_reg(:)=lat_reg_(:)
+
+    ALLOCATE(boundslon_reg(nbp_lon,2)) 
+    boundslon_reg(:,:)=boundslon_reg_(:,:)
+
+    ALLOCATE(boundslat_reg(nbp_lat,2))  
+    boundslat_reg(:,:)=boundslat_reg_(:,:)
+
+  
+  END SUBROUTINE init_regular_lonlat    
+
+END MODULE lmdz_regular_lonlat
+
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_vertical_layers.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_vertical_layers.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_vertical_layers.f90	(revision 5112)
@@ -0,0 +1,59 @@
+MODULE lmdz_vertical_layers
+
+   REAL,SAVE             :: preff  ! reference surface pressure (Pa)
+   REAL,SAVE             :: scaleheight ! atmospheric reference scale height (km)
+   REAL,SAVE,ALLOCATABLE :: ap(:) ! hybrid (pressure contribution) coordinate
+                                  ! at layer interfaces (Pa)
+   REAL,SAVE,ALLOCATABLE :: bp(:) ! hybrid (sigma contribution) coordinate
+                                  ! at layer interfaces (Pa)
+   REAL,SAVE,ALLOCATABLE :: aps(:) ! hybrid (pressure contribution) coordinate
+                                   ! at mid-layer (Pa)
+   REAL,SAVE,ALLOCATABLE :: bps(:) ! hybrid (sigma contribution) coordinate
+                                   ! at mid-layer
+   REAL,SAVE,ALLOCATABLE :: presnivs(:) ! reference pressure at mid-layer (Pa),
+                                        ! based on preff, ap and bp
+   REAL,SAVE,ALLOCATABLE :: presinter(:) ! reference pressure at interface (Pa),
+                                        ! based on preff, ap and bp
+   REAL,SAVE,ALLOCATABLE :: pseudoalt(:) ! pseudo-altitude of model layers (km),
+                                         ! based on preff and scaleheight
+
+!$OMP THREADPRIVATE(preff,scaleheight,ap,bp,aps,bps,presnivs,presinter,pseudoalt)
+
+
+CONTAINS
+
+  SUBROUTINE init_vertical_layers(nlayer,preff_,scaleheight_,ap_,bp_,&
+                                 aps_,bps_,presnivs_, presinter_, pseudoalt_)
+    IMPLICIT NONE
+    INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
+    REAL,INTENT(IN)    :: preff_ ! reference surface pressure (Pa)
+    REAL,INTENT(IN)    :: scaleheight_ ! atmospheric scale height (km)
+    REAL,INTENT(IN)    :: ap_(nlayer+1) ! hybrid coordinate at interfaces
+    REAL,INTENT(IN)    :: bp_(nlayer+1) ! hybrid coordinate at interfaces
+    REAL,INTENT(IN)    :: aps_(nlayer) ! hybrid coordinate at mid-layer
+    REAL,INTENT(IN)    :: bps_(nlayer) ! hybrid coordinate at mid-layer
+    REAL,INTENT(IN)    :: presnivs_(nlayer) ! Appproximative pressure of atm. layers (Pa)
+    REAL,INTENT(IN)    :: presinter_(nlayer+1) ! Appproximative pressure of atm. layers (Pa)
+    REAL,INTENT(IN)    :: pseudoalt_(nlayer) ! pseudo-altitude of atm. layers (km)
+
+    ALLOCATE(ap(nlayer+1))
+    ALLOCATE(bp(nlayer+1))
+    ALLOCATE(aps(nlayer))
+    ALLOCATE(bps(nlayer))
+    ALLOCATE(presnivs(nlayer))
+    ALLOCATE(presinter(nlayer+1))
+    ALLOCATE(pseudoalt(nlayer))
+
+    preff = preff_
+    scaleheight=scaleheight_
+    ap(:) = ap_(:)
+    bp(:) = bp_(:)
+    aps(:) = aps_(:)
+    bps(:) = bps_(:)
+    presnivs(:) = presnivs_(:)
+    presinter(:) = presinter_(:)
+    pseudoalt(:) = pseudoalt_(:)
+
+  END SUBROUTINE init_vertical_layers
+
+END MODULE lmdz_vertical_layers
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_write_field_phy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_write_field_phy.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phy_common/lmdz_write_field_phy.f90	(revision 5112)
@@ -0,0 +1,35 @@
+! $Id$
+
+MODULE lmdz_write_field_phy
+
+  ! Dump a field on the global (nbp_lon by nbp_lat) physics grid
+
+CONTAINS
+
+  SUBROUTINE WriteField_phy(name, Field, ll)
+    USE lmdz_phys_para, ONLY: klon_omp, is_mpi_root, &
+            Gather
+    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, &
+            Grid1Dto2D_glo
+    USE Write_Field, ONLY: WriteField
+
+    IMPLICIT NONE
+
+    CHARACTER(len = *), INTENT(IN) :: name
+    INTEGER, INTENT(IN) :: ll
+    REAL, INTENT(IN) :: Field(klon_omp, ll)
+
+    real, dimension(klon_glo, ll) :: New_Field
+    real, dimension(nbp_lon, nbp_lat, ll) :: Field_2d
+
+    CALL Gather(Field, New_Field)
+    !$OMP MASTER
+    IF (is_mpi_root) THEN
+      CALL Grid1Dto2D_glo(New_Field, Field_2D)
+      CALL WriteField(name, Field_2d)
+    ENDIF
+    !$OMP END MASTER
+
+  END SUBROUTINE WriteField_phy
+
+END MODULE lmdz_write_field_phy
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/physics_distribution_mod.F90	(revision 5111)
+++ 	(revision )
@@ -1,89 +1,0 @@
-
-!$Id$
-
-MODULE physics_distribution_mod
-
-
-CONTAINS
-
-  SUBROUTINE init_physics_distribution(grid_type, nvertex, &
-                                       nbp, nbp_lon, nbp_lat, nbp_lev, &
-                                       communicator)
-  USE lmdz_phys_para, ONLY: init_phys_lmdz_para, klon_omp
-  USE lmdz_grid_phy, ONLY: init_grid_phy_lmdz
-  USE dimphy, ONLY: Init_dimphy
-  USE infotrac_phy, ONLY: type_trac
-#ifdef REPROBUS
-  USE CHEM_REP, ONLY: Init_chem_rep_phys
-#endif
-  USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
-  IMPLICIT NONE
-    INTEGER,INTENT(IN) :: grid_type 
-    INTEGER,INTENT(IN) :: nvertex 
-    INTEGER,INTENT(IN) :: nbp           
-    INTEGER,INTENT(IN) :: nbp_lon
-    INTEGER,INTENT(IN) :: nbp_lat
-    INTEGER,INTENT(IN) :: nbp_lev
-    INTEGER,INTENT(IN) :: communicator
-
-
-    CALL init_grid_phy_lmdz(grid_type,nvertex, nbp_lon,nbp_lat,nbp_lev)
-    CALL init_phys_lmdz_para(nbp,nbp_lon, nbp_lat,nbp_lev, grid_type,nvertex, communicator)
-!$OMP PARALLEL
-    CALL init_dimphy(klon_omp,nbp_lev)
-
-  IF (CPPKEY_INCA) THEN
-       CALL Init_inca_dim(klon_omp,nbp_lev)
-  END IF
-
-#ifdef REPROBUS
-! Initialization of Reprobus
-    IF (type_trac == 'repr') CALL Init_chem_rep_phys(klon_omp,nbp_lev)
-#endif
-
-!$OMP END PARALLEL
-
-  END SUBROUTINE init_physics_distribution  
-
-!SUBROUTINE Init_Phys_lmdz(iim,jjp1,llm,nb_proc,distrib)
-!  USE lmdz_phys_para, ONLY: Init_phys_lmdz_para!, klon_omp
-!  USE lmdz_grid_phy, ONLY: Init_grid_phy_lmdz!, nbp_lev
-!  USE dimphy, ONLY: Init_dimphy
-!  USE infotrac_phy, ONLY: type_trac
-!#ifdef REPROBUS
-!  USE CHEM_REP, ONLY: Init_chem_rep_phys
-!#endif
-
-!  IMPLICIT NONE
-  
-!    INTEGER,INTENT(in) :: iim
-!    INTEGER,INTENT(in) :: jjp1
-!    INTEGER,INTENT(in) :: llm
-!    INTEGER,INTENT(in) :: nb_proc
-!    INTEGER,INTENT(in) :: distrib(0:nb_proc-1)
-
-
-!    CALL Init_grid_phy_lmdz(iim,jjp1,llm)
-!    CALL Init_phys_lmdz_para(iim,jjp1,nb_proc,distrib)
-!!$OMP PARALLEL
-!    CALL Init_dimphy(klon_omp,nbp_lev)
-
-!#ifdef REPROBUS
-!! Initialization of Reprobus
-!    IF (type_trac == 'repr') CALL Init_chem_rep_phys(klon_omp,nbp_lev)
-!    END IF
-!#endif
-
-!!$OMP END PARALLEL
- 
-!END SUBROUTINE Init_Phys_lmdz  
-
-
-
-
-
-
-
-
-END MODULE physics_distribution_mod
-
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/print_control_mod.f90	(revision 5111)
+++ 	(revision )
@@ -1,62 +1,0 @@
-! $Id: $
-MODULE print_control_mod
-
-  INTEGER,SAVE :: lunout ! default output file identifier (6==screen)
-  INTEGER,SAVE :: prt_level ! debug output level
-  LOGICAL,SAVE :: debug ! flag to specify if in "debug mode"
-  LOGICAL,SAVE :: alert_first_CALL = .TRUE. ! for printing alerts on first CALL to routine only
-  LOGICAL,SAVE :: call_alert ! (combination of is_master and alert_first_CALL for easier use
-!$OMP THREADPRIVATE(lunout,prt_level,debug, alert_first_call, call_alert)
-
-  ! NB: Module variable Initializations done by set_print_control
-  !     routine from init_print_control_mod to avoid circular
-  !     module dependencies
-
-CONTAINS
-
-  SUBROUTINE set_print_control(lunout_,prt_level_,debug_)
-  IMPLICIT NONE
-    INTEGER, INTENT(IN) :: lunout_
-    INTEGER, INTENT(IN) :: prt_level_
-    LOGICAL, INTENT(IN) :: debug_
-      
-    lunout = lunout_
-    prt_level = prt_level_
-    debug = debug_
-    
-  END SUBROUTINE set_print_control
-
-  SUBROUTINE prt_alerte(message, modname, niv_alerte)
-    ! Function to print different values of alarms when first encountered
-    ! Meant for informative purposee
-    IMPLICIT NONE
-    ! Arguments:
-    ! message: message to print out
-    ! modname: module/routine name
-    ! niv_alerte: alert level (0/1/2)
-    CHARACTER(LEN=*), INTENT(IN) :: modname
-    CHARACTER(LEN=*) :: message
-    INTEGER :: niv_alerte
-    ! local variables
-    CHARACTER(LEN=7), DIMENSION(0:2) :: alarm_color = (/ 'VERTE  ','ORANGE ','ROUGE  ' /)
-    CHARACTER(LEN=7) :: alarm_couleur
-    INTEGER :: alarm_file=15 ! in case we want/need to print out the special alarms in a separate file     
-
-    IF ( alert_first_call) then
-       IF ( alarm_file /= lunout ) THEN
-          OPEN(unit = alarm_file, file = "ALERTES.txt")
-       ENDIF
-    ENDIF
-
-    alarm_couleur = alarm_color(niv_alerte)
-    IF (niv_alerte < 0 .OR. niv_alerte > 3) then
-       message = 'NIVEAU ALERTE INVALIDE  '//message
-       alarm_couleur='NOIRE  '
-    ENDIF
-
-    WRITE(alarm_file, *)' ALERTE ',alarm_couleur, trim(modname),  trim(message)
-    
-  END SUBROUTINE prt_alerte
-
-  
-END MODULE print_control_mod
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/regular_lonlat_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/regular_lonlat_mod.f90	(revision 5111)
+++ 	(revision )
@@ -1,55 +1,0 @@
-MODULE regular_lonlat_mod
-
-  ! Store information on the global physics grid
-  ! for a regular (longitude-latitude) grid
-  
-  INTEGER, PARAMETER :: north_east=1     ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: north_west=2     ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: south_west=3     ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: south_east=4     ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: east=2           ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: west=1           ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: north=1          ! boundaries of regular lontlat
-  INTEGER, PARAMETER :: south=2          ! boundaries of regular lontlat
-
-! Global definition, shared by all threads
-! Do not set threadprivate directives
-
-  REAL,SAVE,ALLOCATABLE :: lon_reg(:)      ! value of longitude cell (rad)
-
-  REAL,SAVE,ALLOCATABLE :: lat_reg(:)      ! value of longitude cell (rad)
-
-  REAL,SAVE,ALLOCATABLE :: boundslon_reg(:,:)      ! value of boundaries cell (1=>west, 2=>east)(rad)
-
-  REAL,SAVE,ALLOCATABLE :: boundslat_reg(:,:)      ! value of longitude cell (1=>north, 2=>south)(rad)
-
-
-CONTAINS
-  
-  SUBROUTINE init_regular_lonlat(nbp_lon, nbp_lat, lon_reg_, lat_reg_, boundslon_reg_, boundslat_reg_)
-    IMPLICIT NONE
-    INTEGER,INTENT(IN) :: nbp_lon
-    INTEGER,INTENT(IN) :: nbp_lat
-    REAL,   INTENT(IN) :: lon_reg_(nbp_lon)  
-    REAL,   INTENT(IN) :: lat_reg_(nbp_lat) 
-    REAL,   INTENT(IN) :: boundslon_reg_(nbp_lon,2) 
-    REAL,   INTENT(IN) :: boundslat_reg_(nbp_lat,2)  
-
-    
-    ALLOCATE(lon_reg(nbp_lon))
-    lon_reg(:)=lon_reg_(:)
-
-    ALLOCATE(lat_reg(nbp_lat)) 
-    lat_reg(:)=lat_reg_(:)
-
-    ALLOCATE(boundslon_reg(nbp_lon,2)) 
-    boundslon_reg(:,:)=boundslon_reg_(:,:)
-
-    ALLOCATE(boundslat_reg(nbp_lat,2))  
-    boundslat_reg(:,:)=boundslat_reg_(:,:)
-
-  
-  END SUBROUTINE init_regular_lonlat    
-
-END MODULE regular_lonlat_mod
-
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/vertical_layers_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/vertical_layers_mod.f90	(revision 5111)
+++ 	(revision )
@@ -1,61 +1,0 @@
-! $Id: $
-
-MODULE vertical_layers_mod
-
-   REAL,SAVE             :: preff  ! reference surface pressure (Pa)
-   REAL,SAVE             :: scaleheight ! atmospheric reference scale height (km)
-   REAL,SAVE,ALLOCATABLE :: ap(:) ! hybrid (pressure contribution) coordinate 
-                                  ! at layer interfaces (Pa)
-   REAL,SAVE,ALLOCATABLE :: bp(:) ! hybrid (sigma contribution) coordinate 
-                                  ! at layer interfaces (Pa)
-   REAL,SAVE,ALLOCATABLE :: aps(:) ! hybrid (pressure contribution) coordinate 
-                                   ! at mid-layer (Pa)
-   REAL,SAVE,ALLOCATABLE :: bps(:) ! hybrid (sigma contribution) coordinate 
-                                   ! at mid-layer
-   REAL,SAVE,ALLOCATABLE :: presnivs(:) ! reference pressure at mid-layer (Pa),
-                                        ! based on preff, ap and bp
-   REAL,SAVE,ALLOCATABLE :: presinter(:) ! reference pressure at interface (Pa),
-                                        ! based on preff, ap and bp
-   REAL,SAVE,ALLOCATABLE :: pseudoalt(:) ! pseudo-altitude of model layers (km),
-                                         ! based on preff and scaleheight
-   
-!$OMP THREADPRIVATE(preff,scaleheight,ap,bp,aps,bps,presnivs,presinter,pseudoalt)
-
-
-CONTAINS
-
-  SUBROUTINE init_vertical_layers(nlayer,preff_,scaleheight_,ap_,bp_,&
-                                 aps_,bps_,presnivs_, presinter_, pseudoalt_)
-    IMPLICIT NONE
-    INTEGER,INTENT(IN) :: nlayer ! number of atmospheric layers
-    REAL,INTENT(IN)    :: preff_ ! reference surface pressure (Pa)
-    REAL,INTENT(IN)    :: scaleheight_ ! atmospheric scale height (km)
-    REAL,INTENT(IN)    :: ap_(nlayer+1) ! hybrid coordinate at interfaces
-    REAL,INTENT(IN)    :: bp_(nlayer+1) ! hybrid coordinate at interfaces
-    REAL,INTENT(IN)    :: aps_(nlayer) ! hybrid coordinate at mid-layer
-    REAL,INTENT(IN)    :: bps_(nlayer) ! hybrid coordinate at mid-layer
-    REAL,INTENT(IN)    :: presnivs_(nlayer) ! Appproximative pressure of atm. layers (Pa)
-    REAL,INTENT(IN)    :: presinter_(nlayer+1) ! Appproximative pressure of atm. layers (Pa)
-    REAL,INTENT(IN)    :: pseudoalt_(nlayer) ! pseudo-altitude of atm. layers (km)
-  
-    ALLOCATE(ap(nlayer+1))
-    ALLOCATE(bp(nlayer+1))
-    ALLOCATE(aps(nlayer))
-    ALLOCATE(bps(nlayer))
-    ALLOCATE(presnivs(nlayer))
-    ALLOCATE(presinter(nlayer+1))
-    ALLOCATE(pseudoalt(nlayer))
-  
-    preff = preff_
-    scaleheight=scaleheight_
-    ap(:) = ap_(:)
-    bp(:) = bp_(:)
-    aps(:) = aps_(:)
-    bps(:) = bps_(:)
-    presnivs(:) = presnivs_(:)
-    presinter(:) = presinter_(:)
-    pseudoalt(:) = pseudoalt_(:)
-
-  END SUBROUTINE init_vertical_layers
-
-END MODULE vertical_layers_mod
Index: LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phy_common/write_field_phy.f90	(revision 5111)
+++ 	(revision )
@@ -1,37 +1,0 @@
-
-! $Id$
-
-MODULE write_field_phy
-
-  ! Dump a field on the global (nbp_lon by nbp_lat) physics grid
-  
-  CONTAINS 
- 
-    SUBROUTINE WriteField_phy(name,Field,ll)
-    USE lmdz_phys_para, ONLY: klon_omp, is_mpi_root, &
-                                  Gather
-    USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat, klon_glo, &
-                                 Grid1Dto2D_glo
-    USE Write_Field, ONLY: WriteField
-    
-    IMPLICIT NONE
-
-    CHARACTER(len=*),INTENT(IN) :: name
-    INTEGER,INTENT(IN) :: ll
-    REAL,INTENT(IN) :: Field(klon_omp,ll)
-
-    real, dimension(klon_glo,ll):: New_Field
-    real, dimension(nbp_lon,nbp_lat,ll):: Field_2d
-
-    CALL Gather(Field,New_Field)
-!$OMP MASTER
-    IF (is_mpi_root) THEN	
-      CALL Grid1Dto2D_glo(New_Field,Field_2D)
-      CALL WriteField(name,Field_2d)
-    ENDIF
-!$OMP END MASTER
-
-  
-   END SUBROUTINE WriteField_phy
- 
- END MODULE write_field_phy
